> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show indexing progress

> This endpoint shows the indexing progress of documents, both by provider and total.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml get /memories/status
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /memories/status:
    get:
      tags:
        - Memories
      summary: Show indexing progress
      description: >-
        This endpoint shows the indexing progress of documents, both by provider
        and total.
      operationId: get_indexing_status_memories_status_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndexingStatus'
      security:
        - APIKey: []
        - AsUser: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Hyperspell from '@hyperspell/hyperspell';

            const client = new Hyperspell({
              apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.memories.status();

            console.log(response.providers);
        - lang: Python
          source: |-
            import os
            from hyperspell import Hyperspell

            client = Hyperspell(
                api_key=os.environ.get("HYPERSPELL_API_KEY"),  # This is the default and can be omitted
            )
            response = client.memories.status()
            print(response.providers)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/hyperspell/hyperspell-go\"\n\t\"github.com/hyperspell/hyperspell-go/option\"\n)\n\nfunc main() {\n\tclient := hyperspell.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Memories.Status(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Providers)\n}\n"
        - lang: CLI
          source: |-
            hyperspell memories status \
              --api-key 'My API Key'
components:
  schemas:
    IndexingStatus:
      properties:
        total:
          additionalProperties:
            type: integer
          propertyNames:
            $ref: '#/components/schemas/DocumentStatus'
          type: object
          title: Total
        providers:
          additionalProperties:
            additionalProperties:
              type: integer
            propertyNames:
              $ref: '#/components/schemas/DocumentStatus'
            type: object
          propertyNames:
            $ref: '#/components/schemas/DocumentProviders'
          type: object
          title: Providers
      type: object
      required:
        - total
        - providers
      title: IndexingStatus
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````